<template>
  <v-dialog :value="value"
            @input="$emit('input', false)"
            max-width="600px"
  >
    <v-card>
      <v-card-title class="text-h5">
        Вы уверены, что хотите удалить сотрудника<br/> {{employeeName}}?
      </v-card-title>
      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn color="blue darken-1" text @click="$emit('input', false)">Отменить</v-btn>
        <v-btn color="blue darken-1" text @click="$emit('delItem', item)">Удалить</v-btn>
        <v-spacer></v-spacer>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>

<script>
export default {
  name: "DeleteItemModal",
  props: {
    value: {
      type: Boolean,
      default: false,
    },
    item: {
      type: Object,
      required: true,
    },
  },
  computed: {
    employeeName() {
      return `${this.item.sName} ${this.item.name} ${this.item.mName}` // вычисляем имя сотрудника
    }
  },
  model: {
    event: 'input'
  },
}
</script>
